<div class="front_page_section front_page_section_about<?php
	$tacticool_scheme = tacticool_get_theme_option( 'front_page_about_scheme' );
	if ( ! tacticool_is_inherit( $tacticool_scheme ) ) {
		echo ' scheme_' . esc_attr( $tacticool_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( tacticool_get_theme_option( 'front_page_about_paddings' ) );
?>"
		<?php
		$tacticool_css      = '';
		$tacticool_bg_image = tacticool_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $tacticool_bg_image ) ) {
			$tacticool_css .= 'background-image: url(' . esc_url( tacticool_get_attachment_url( $tacticool_bg_image ) ) . ');';
		}
		if ( ! empty( $tacticool_css ) ) {
			echo ' style="' . esc_attr( $tacticool_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$tacticool_anchor_icon = tacticool_get_theme_option( 'front_page_about_anchor_icon' );
	$tacticool_anchor_text = tacticool_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $tacticool_anchor_icon ) || ! empty( $tacticool_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $tacticool_anchor_icon ) ? ' icon="' . esc_attr( $tacticool_anchor_icon ) . '"' : '' )
									. ( ! empty( $tacticool_anchor_text ) ? ' title="' . esc_attr( $tacticool_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( tacticool_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' tacticool-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$tacticool_css           = '';
			$tacticool_bg_mask       = tacticool_get_theme_option( 'front_page_about_bg_mask' );
			$tacticool_bg_color_type = tacticool_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_scheme_color( 'bg_color', $tacticool_scheme );
			} else {
				$tacticool_bg_color = '';
			}
			if ( ! empty( $tacticool_bg_color ) && $tacticool_bg_mask > 0 ) {
				$tacticool_css .= 'background-color: ' . esc_attr(
					1 == $tacticool_bg_mask ? $tacticool_bg_color : tacticool_hex2rgba( $tacticool_bg_color, $tacticool_bg_mask )
				) . ';';
			}
			if ( ! empty( $tacticool_css ) ) {
				echo ' style="' . esc_attr( $tacticool_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$tacticool_caption = tacticool_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $tacticool_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $tacticool_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $tacticool_caption, 'tacticool_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$tacticool_description = tacticool_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $tacticool_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $tacticool_description ), 'tacticool_kses_content' ); ?></div>
				<?php
			}

			// Content
			$tacticool_content = tacticool_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $tacticool_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $tacticool_content ) ? 'filled' : 'empty'; ?>">
				<?php
					$tacticool_page_content_mask = '%%CONTENT%%';
				if ( strpos( $tacticool_content, $tacticool_page_content_mask ) !== false ) {
					$tacticool_content = preg_replace(
						'/(\<p\>\s*)?' . $tacticool_page_content_mask . '(\s*\<\/p\>)/i',
						sprintf(
							'<div class="front_page_section_about_source">%s</div>',
							apply_filters( 'the_content', get_the_content() )
						),
						$tacticool_content
					);
				}
					tacticool_show_layout( $tacticool_content );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
