<div class="front_page_section front_page_section_testimonials<?php
	$tacticool_scheme = tacticool_get_theme_option( 'front_page_testimonials_scheme' );
	if ( ! tacticool_is_inherit( $tacticool_scheme ) ) {
		echo ' scheme_' . esc_attr( $tacticool_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( tacticool_get_theme_option( 'front_page_testimonials_paddings' ) );
?>"
		<?php
		$tacticool_css      = '';
		$tacticool_bg_image = tacticool_get_theme_option( 'front_page_testimonials_bg_image' );
		if ( ! empty( $tacticool_bg_image ) ) {
			$tacticool_css .= 'background-image: url(' . esc_url( tacticool_get_attachment_url( $tacticool_bg_image ) ) . ');';
		}
		if ( ! empty( $tacticool_css ) ) {
			echo ' style="' . esc_attr( $tacticool_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$tacticool_anchor_icon = tacticool_get_theme_option( 'front_page_testimonials_anchor_icon' );
	$tacticool_anchor_text = tacticool_get_theme_option( 'front_page_testimonials_anchor_text' );
if ( ( ! empty( $tacticool_anchor_icon ) || ! empty( $tacticool_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_testimonials"'
									. ( ! empty( $tacticool_anchor_icon ) ? ' icon="' . esc_attr( $tacticool_anchor_icon ) . '"' : '' )
									. ( ! empty( $tacticool_anchor_text ) ? ' title="' . esc_attr( $tacticool_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_testimonials_inner
	<?php
	if ( tacticool_get_theme_option( 'front_page_testimonials_fullheight' ) ) {
		echo ' tacticool-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$tacticool_css      = '';
			$tacticool_bg_mask  = tacticool_get_theme_option( 'front_page_testimonials_bg_mask' );
			$tacticool_bg_color_type = tacticool_get_theme_option( 'front_page_testimonials_bg_color_type' );
			if ( 'custom' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_theme_option( 'front_page_testimonials_bg_color' );
			} elseif ( 'scheme_bg_color' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_scheme_color( 'bg_color', $tacticool_scheme );
			} else {
				$tacticool_bg_color = '';
			}
			if ( ! empty( $tacticool_bg_color ) && $tacticool_bg_mask > 0 ) {
				$tacticool_css .= 'background-color: ' . esc_attr(
					1 == $tacticool_bg_mask ? $tacticool_bg_color : tacticool_hex2rgba( $tacticool_bg_color, $tacticool_bg_mask )
				) . ';';
			}
			if ( ! empty( $tacticool_css ) ) {
				echo ' style="' . esc_attr( $tacticool_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_testimonials_content_wrap content_wrap">
			<?php
			// Caption
			$tacticool_caption = tacticool_get_theme_option( 'front_page_testimonials_caption' );
			if ( ! empty( $tacticool_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_testimonials_caption front_page_block_<?php echo ! empty( $tacticool_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $tacticool_caption, 'tacticool_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$tacticool_description = tacticool_get_theme_option( 'front_page_testimonials_description' );
			if ( ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_testimonials_description front_page_block_<?php echo ! empty( $tacticool_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $tacticool_description ), 'tacticool_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_testimonials_output">
			<?php
			if ( is_active_sidebar( 'front_page_testimonials_widgets' ) ) {
				dynamic_sidebar( 'front_page_testimonials_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! tacticool_exists_trx_addons() ) {
					tacticool_customizer_need_trx_addons_message();
				} else {
					tacticool_customizer_need_widgets_message( 'front_page_testimonials_caption', 'ThemeREX Addons - Testimonials' );
				}
			}
			?>
			</div>
		</div>
	</div>
</div>
