<div class="front_page_section front_page_section_woocommerce<?php
	$tacticool_scheme = tacticool_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! tacticool_is_inherit( $tacticool_scheme ) ) {
		echo ' scheme_' . esc_attr( $tacticool_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( tacticool_get_theme_option( 'front_page_woocommerce_paddings' ) );
?>"
		<?php
		$tacticool_css      = '';
		$tacticool_bg_image = tacticool_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $tacticool_bg_image ) ) {
			$tacticool_css .= 'background-image: url(' . esc_url( tacticool_get_attachment_url( $tacticool_bg_image ) ) . ');';
		}
		if ( ! empty( $tacticool_css ) ) {
			echo ' style="' . esc_attr( $tacticool_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$tacticool_anchor_icon = tacticool_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$tacticool_anchor_text = tacticool_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $tacticool_anchor_icon ) || ! empty( $tacticool_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $tacticool_anchor_icon ) ? ' icon="' . esc_attr( $tacticool_anchor_icon ) . '"' : '' )
									. ( ! empty( $tacticool_anchor_text ) ? ' title="' . esc_attr( $tacticool_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( tacticool_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' tacticool-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$tacticool_css      = '';
			$tacticool_bg_mask  = tacticool_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$tacticool_bg_color_type = tacticool_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_scheme_color( 'bg_color', $tacticool_scheme );
			} else {
				$tacticool_bg_color = '';
			}
			if ( ! empty( $tacticool_bg_color ) && $tacticool_bg_mask > 0 ) {
				$tacticool_css .= 'background-color: ' . esc_attr(
					1 == $tacticool_bg_mask ? $tacticool_bg_color : tacticool_hex2rgba( $tacticool_bg_color, $tacticool_bg_mask )
				) . ';';
			}
			if ( ! empty( $tacticool_css ) ) {
				echo ' style="' . esc_attr( $tacticool_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$tacticool_caption     = tacticool_get_theme_option( 'front_page_woocommerce_caption' );
			$tacticool_description = tacticool_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $tacticool_caption ) || ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $tacticool_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $tacticool_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $tacticool_caption, 'tacticool_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $tacticool_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $tacticool_description ), 'tacticool_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$tacticool_woocommerce_sc = tacticool_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $tacticool_woocommerce_sc ) {
				$tacticool_woocommerce_sc_ids      = tacticool_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$tacticool_woocommerce_sc_per_page = count( explode( ',', $tacticool_woocommerce_sc_ids ) );
			} else {
				$tacticool_woocommerce_sc_per_page = max( 1, (int) tacticool_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$tacticool_woocommerce_sc_columns = max( 1, min( $tacticool_woocommerce_sc_per_page, (int) tacticool_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$tacticool_woocommerce_sc}"
									. ( 'products' == $tacticool_woocommerce_sc
											? ' ids="' . esc_attr( $tacticool_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $tacticool_woocommerce_sc
											? ' category="' . esc_attr( tacticool_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $tacticool_woocommerce_sc
											? ' orderby="' . esc_attr( tacticool_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( tacticool_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $tacticool_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $tacticool_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
