<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! tacticool_is_inherit( tacticool_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( tacticool_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$tacticool_copyright = tacticool_get_theme_option( 'copyright' );
			if ( ! empty( $tacticool_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$tacticool_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $tacticool_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$tacticool_copyright = tacticool_prepare_macros( $tacticool_copyright );
				// Display copyright
				echo wp_kses( nl2br( $tacticool_copyright ), 'tacticool_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
