<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.10
 */

$tacticool_footer_id = tacticool_get_custom_footer_id();
$tacticool_footer_meta = get_post_meta( $tacticool_footer_id, 'trx_addons_options', true );
if ( ! empty( $tacticool_footer_meta['margin'] ) ) {
	tacticool_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( tacticool_prepare_css_value( $tacticool_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $tacticool_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $tacticool_footer_id ) ) ); ?>
						<?php
						if ( ! tacticool_is_inherit( tacticool_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( tacticool_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'tacticool_action_show_layout', $tacticool_footer_id );
	?>
</footer><!-- /.footer_wrap -->
