<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0
 */

						// Widgets area inside page content
						tacticool_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$tacticool_body_style = tacticool_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $tacticool_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$tacticool_widgets_name = tacticool_get_theme_option( 'widgets_below_page' );
					$tacticool_show_widgets = ! tacticool_is_off( $tacticool_widgets_name ) && is_active_sidebar( $tacticool_widgets_name );
					$tacticool_show_related = is_single() && tacticool_get_theme_option( 'related_position' ) == 'below_page';
					if ( $tacticool_show_widgets || $tacticool_show_related ) {
						if ( 'fullscreen' != $tacticool_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $tacticool_show_related ) {
							do_action( 'tacticool_action_related_posts' );
						}

						// Widgets area below page content
						if ( $tacticool_show_widgets ) {
							tacticool_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $tacticool_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Single posts banner before footer
			if ( is_singular( 'post' ) ) {
				tacticool_show_post_banner('footer');
			}
			// Footer
			$tacticool_footer_type = tacticool_get_theme_option( 'footer_type' );
			if ( 'custom' == $tacticool_footer_type && ! tacticool_is_layouts_available() ) {
				$tacticool_footer_type = 'default';
			}
			get_template_part( apply_filters( 'tacticool_filter_get_template_part', "templates/footer-{$tacticool_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>