<div class="front_page_section front_page_section_googlemap<?php
	$tacticool_scheme = tacticool_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! tacticool_is_inherit( $tacticool_scheme ) ) {
		echo ' scheme_' . esc_attr( $tacticool_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( tacticool_get_theme_option( 'front_page_googlemap_paddings' ) );
?>"
		<?php
		$tacticool_css      = '';
		$tacticool_bg_image = tacticool_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $tacticool_bg_image ) ) {
			$tacticool_css .= 'background-image: url(' . esc_url( tacticool_get_attachment_url( $tacticool_bg_image ) ) . ');';
		}
		if ( ! empty( $tacticool_css ) ) {
			echo ' style="' . esc_attr( $tacticool_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$tacticool_anchor_icon = tacticool_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$tacticool_anchor_text = tacticool_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $tacticool_anchor_icon ) || ! empty( $tacticool_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $tacticool_anchor_icon ) ? ' icon="' . esc_attr( $tacticool_anchor_icon ) . '"' : '' )
									. ( ! empty( $tacticool_anchor_text ) ? ' title="' . esc_attr( $tacticool_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
	<?php
	if ( tacticool_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
		echo ' tacticool-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$tacticool_css      = '';
			$tacticool_bg_mask  = tacticool_get_theme_option( 'front_page_googlemap_bg_mask' );
			$tacticool_bg_color_type = tacticool_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $tacticool_bg_color_type ) {
				$tacticool_bg_color = tacticool_get_scheme_color( 'bg_color', $tacticool_scheme );
			} else {
				$tacticool_bg_color = '';
			}
			if ( ! empty( $tacticool_bg_color ) && $tacticool_bg_mask > 0 ) {
				$tacticool_css .= 'background-color: ' . esc_attr(
					1 == $tacticool_bg_mask ? $tacticool_bg_color : tacticool_hex2rgba( $tacticool_bg_color, $tacticool_bg_mask )
				) . ';';
			}
			if ( ! empty( $tacticool_css ) ) {
				echo ' style="' . esc_attr( $tacticool_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
			$tacticool_layout = tacticool_get_theme_option( 'front_page_googlemap_layout' );
		if ( 'fullwidth' != $tacticool_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$tacticool_caption     = tacticool_get_theme_option( 'front_page_googlemap_caption' );
			$tacticool_description = tacticool_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $tacticool_caption ) || ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $tacticool_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $tacticool_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $tacticool_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $tacticool_caption, 'tacticool_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $tacticool_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $tacticool_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $tacticool_description ), 'tacticool_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $tacticool_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$tacticool_content = tacticool_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $tacticool_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $tacticool_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $tacticool_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $tacticool_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $tacticool_content, 'tacticool_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $tacticool_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $tacticool_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! tacticool_exists_trx_addons() ) {
					tacticool_customizer_need_trx_addons_message();
				} else {
					tacticool_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $tacticool_layout && ( ! empty( $tacticool_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
