<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.10
 */

// Footer menu
$tacticool_menu_footer = tacticool_get_nav_menu( 'menu_footer' );
if ( ! empty( $tacticool_menu_footer ) ) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php
			tacticool_show_layout(
				$tacticool_menu_footer,
				'<nav class="menu_footer_nav_area sc_layouts_menu sc_layouts_menu_default"'
					. ' itemscope itemtype="' . esc_attr( tacticool_get_protocol( true ) ) . '//schema.org/SiteNavigationElement"'
					. '>',
				'</nav>'
			);
			?>
		</div>
	</div>
	<?php
}
