<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage TACTICOOL
 * @since TACTICOOL 1.0.14
 */
$tacticool_header_video = tacticool_get_header_video();
$tacticool_embed_video  = '';
if ( ! empty( $tacticool_header_video ) && ! tacticool_is_from_uploads( $tacticool_header_video ) ) {
	if ( tacticool_is_youtube_url( $tacticool_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $tacticool_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php tacticool_show_layout( tacticool_get_embed_video( $tacticool_header_video ) ); ?></div>
		<?php
	}
}
